Package org.bukkit.entity

# Enum Class EnderDragon.Phase

java.lang.Object
java.lang.Enum<EnderDragon.Phase>
org.bukkit.entity.EnderDragon.Phase

All Implemented Interfaces:
  `Serializable`, `Comparable<EnderDragon.Phase>`, `Constable`

Enclosing interface:
  EnderDragon

public static enum EnderDragon.Phase extends Enum<EnderDragon.Phase>
Represents a phase or action that an Ender Dragon can perform.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BREATH_ATTACK`
The dragon will attack with dragon breath at its current location.
`CHARGE_PLAYER`
The dragon will charge a player.
`CIRCLING`
The dragon will circle outside the ring of pillars if ender crystals remain or inside the ring if not.
`DYING`
The dragon will fly to the vicinity of the portal and die.
`FLY_TO_PORTAL`
The dragon will fly towards the empty portal (approaching from the other side, if applicable).
`HOVER`
The dragon will hover at its current location, not performing any actions.
`LAND_ON_PORTAL`
The dragon will land on on the portal.
`LEAVE_PORTAL`
The dragon will leave the portal.
`ROAR_BEFORE_ATTACK`
The dragon will roar before performing a breath attack.
`SEARCH_FOR_BREATH_ATTACK_TARGET`
The dragon will search for a player to attack with dragon breath.
`STRAFING`
The dragon will fly towards a targeted player and shoot a fireball when within 64 blocks.

## Method Summary

Modifier and Type
Method
Description
`static EnderDragon.Phase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EnderDragon.Phase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CIRCLING

public static final EnderDragon.Phase CIRCLING
The dragon will circle outside the ring of pillars if ender crystals remain or inside the ring if not.

### STRAFING

public static final EnderDragon.Phase STRAFING
The dragon will fly towards a targeted player and shoot a fireball when within 64 blocks.

### FLY_TO_PORTAL

public static final EnderDragon.Phase FLY_TO_PORTAL
The dragon will fly towards the empty portal (approaching from the other side, if applicable).

### LAND_ON_PORTAL

public static final EnderDragon.Phase LAND_ON_PORTAL
The dragon will land on on the portal. If the dragon is not near the portal, it will fly to it before mounting.

### LEAVE_PORTAL

public static final EnderDragon.Phase LEAVE_PORTAL
The dragon will leave the portal.

### BREATH_ATTACK

public static final EnderDragon.Phase BREATH_ATTACK
The dragon will attack with dragon breath at its current location.

### SEARCH_FOR_BREATH_ATTACK_TARGET

public static final EnderDragon.Phase SEARCH_FOR_BREATH_ATTACK_TARGET
The dragon will search for a player to attack with dragon breath. If no player is close enough to the dragon for 5 seconds, the dragon will charge at a player within 150 blocks or will take off and begin circling if no player is found.

### ROAR_BEFORE_ATTACK

public static final EnderDragon.Phase ROAR_BEFORE_ATTACK
The dragon will roar before performing a breath attack.

### CHARGE_PLAYER

public static final EnderDragon.Phase CHARGE_PLAYER
The dragon will charge a player.

### DYING

public static final EnderDragon.Phase DYING
The dragon will fly to the vicinity of the portal and die.

### HOVER

public static final EnderDragon.Phase HOVER
The dragon will hover at its current location, not performing any actions.

## Method Details

### values

public static EnderDragon.Phase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EnderDragon.Phase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null